2007-07-19  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.addin.xml, BooShellPadContent.boo: Updated pad icons.

2007-07-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/ShellTextView.boo: Track api changes.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* templates/BooLibraryProject.xpt.xml: Get template icon from
	  resources.

2007-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.mdp, Makefile.am: Make sure the correct Mono.Cecil dll is
	  referenced.

2007-05-17  Lluis Sanchez Gual <lluis@novell.com> 

	* BooShellPadContent.boo: Added null check.

2007-05-14  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.mdp, BooShell/BooShell.mdp, BooShell/Makefile.am,
	  Makefile.am: Added missing references.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.mdp: Copy the .addins.xml file to the output dir.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.mdp, BooShell/BooShell.mdp, BooShell/Makefile.am,
	  Makefile.am: Fix the build, again.

2007-05-10  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.mdp, BooShell/BooShell.mdp, BooShell/Makefile.am,
	  Makefile.am: Fix build.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.mdp, BooShell/BooShell.mdp, BooShell/Makefile.am,
	  Makefile.am: Reference shared assemblies from the correct location.
	* BooShellPadContent.boo: Fix the build.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/OptionPanels/GeneralBooShellPanel.boo,
	  Gui/OptionPanels/GeneralShellPanel.boo,
	  Gui/OptionPanels/CodeCompilationPanel.boo, BooBinding.addin.xml,
	  BooBinding.mdp, BooShellPadContent.boo, BooShell/BooShell.mdp,
	  BooShell/Makefile.am, Makefile.am: Migration to Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.mdp, BooShell/BooShell.mdp: Don't copy referenced
	  assemblies.

2007-02-27  Lluis Sanchez Gual <lluis@novell.com> 

	* FormattingStrategy/BooFormattingStrategy.boo: Track api changes.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.addin.xml: Change add-in versions to 0.13.
	* BooShell/Makefile.am: Flush.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.mdp, BooShell/BooShell.mdp, BooShell/Makefile.am,
	  Makefile.am: Synchronized the MD project and the Makefile
	* BooBinding.mds: Updated.

2007-02-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/BooTextEditorExtension.boo: Handle code completion only for boo
	  files.

2007-02-09  Peter Johanson  <latexer@gentoo.org>

	* BooBinding.addin.xml:
	* Gui/BooTextEditorExtension.boo:
	* Makefile.am:

	Add new BooTextEditorExtension to start supporting minimal completion
	again.

	* Parser/BooParser.boo:
	* Parser/Resolver.boo:

	Beginnings of an implementation of IsAsResolve, needs finishing at
	some point.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/ShellTextView.boo: Temporarily disabled code completion in the
	  shell. Some changes are needed to use the new api.
	* Parser/TypeMembers.boo, Parser/Visitor.boo: Track api changes.

2007-01-02  Mart Roosmaa <roosmaa@gmail.com>

	* Parser/Resolver.boo: Adopt to changes made in rev 62253.

2006-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/Resolver.boo, Parser/ReturnType.boo, Parser/BooParser.boo,
	  Parser/TypeMembers.boo, Parser/Tree.boo, Parser/Visitor.boo:
	  Renamed Abstract* classes to Default*. Removed some unnecessary
	  Default* subclasses.

2006-11-11 David Makovský (Yakeen) <yakeen@sannyas-on.net>

        * Gui/OptionPanels/CodeCompilationPanel.boo: fix for bug 79199

2006-09-21 Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/ShellTextView.boo: Track API changes.

2006-09-19 Jacob Ilsø Christensen <jacobilsoe@gmail.com>

	* .: Added svn:ignore for BooBinding.pidb
	* BooShell: Added svn:ignore for BooShell.pidb

2006-09-12 Jacob Ilsø Christensen <jacobilsoe@gmail.com>

	* BooAmbience.boo: Track changes in Ambience.

2006-08-10 Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/ShellTextView.boo: Provide the ambience to use for code
	  completion.

2006-07-11 Philip Turnbull <philip.turnbull@gmail.com>

	* BooBinding/BooAmbience.cs:
	Track API changes in Ambience.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* Parser/BooParser.boo:
	* BooBindingCompilerServices.boo: Track changes in ProjectReference.

2006-07-05 Matej Urbas <matej.urbas@gmail.com>

	* Parser/Visitor.boo: Updated to use ReturnType as BaseTypes in IClass
	  instances.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* BooBinding.addin.xml: Updated versions.

2006-06-15 Lluis Sanchez Gual  <lluis@novell.com>

	* BooBinding.addin.xml: Use the DataType element instead fof Class
	  to declare serializable types.

2006-05-22 Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* BooBinding.mdp: Removed SharpRefactory reference.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* BooBinding.addin.xml: Updated versions.
	
	* BooShell/BooShell.mdp:
	* BooBinding.mdp: Updated.

2006-04-21 Lluis Sanchez Gual <lluis@novell.com> 

	* BooLanguageBinding.cs: Implement GetSupportedClrVersions.

2006-04-07  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* BooBinding.addin.xml: renamed attribute in FileFilter Extension

2006-04-03 Lluis Sanchez Gual  <lluis@novell.com>

	* BooBinding.addin.xml: Add boo assembly dependency.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* BooBinding.addin.xml: Updated references.

2006-03-24 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* BooShell/: Added Makefile and Makefile.in to svn:ignore.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* BooShell/BooShell.mdp:
	* BooBinding.mdp:
	* BooBinding.mds: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* BooBinding.addin.xml: Updated add-in versions.

2006-02-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* BooBinding/BooShell/BooShell.mdp:
	* BooBinding/BooBinding.mdp: Updated references.

2005-02-07  Peter Johanson  <latexer@gentoo.org>

	* BooBinding.addin.xml: Update imports to get BooShell.dll to be
	bundled as well.

2006-01-30 Lluis Sanchez Gual  <lluis@novell.com>   

	* Parser/BooParser.boo: 
	* Parser/Resolver.boo: Track changes in parser api.

2006-01-11 Lluis Sanchez Gual  <lluis@novell.com>   

	* Parser/ExpressionFinder.boo:
	* Parser/BooParser.boo: Track api changes.

2006-01-10 Lluis Sanchez Gual  <lluis@novell.com>   

	* BooBinding.mdp: Updated references.
	* Parser/BooParser.boo: Track api changes.

2005-12-19  Peter Johanson  <latexer@gentoo.org>

	* Parser/Resolver.boo: Add overload for doing a deep search for a
	type.
	* Parser/ExpressionTypeVisitor.boo: Do deep searches for members, as
	we may have a member of a type not found in explicitly referenced
	assemblies.

2005-12-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* Parser/BooParser.boo: Track changes in the api.
	* BooLanguageBinding.boo: Implemented the new methods in
	IDotNetLanguageBinding.
	* templates/*: Set the correct category, language and project type.

2005-11-25  Rodrigo B. de Oliveira <rodrigobamboo@gmail.com>

	* Gui/ShellTextView.boo: 'in' operator now requires a proper array argument
	* Parser/ExpressionTypeVisitor.boo: AsExpression -> TryCastExpression,
	TernaryExpression -> ConditionalExpression

2005-11-16  Peter Johanson  <latexer@gentoo.org>

	* Parser/Resolver.boo: Remove some unneeded code, and properly resolve
	'self' and 'super' when inside a static context.

2005-11-16  Rodrigo B. de Oliveira <rodrigobamboo@gmail.com>

	* Gui/ShellTextView.boo: fix EndIter error that caused prompt not to
	be displayed
	
2005-11-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* Gui/ShellTextView.boo: Fix gtksourceview warning.

2005-11-01  Peter Johanson  <latexer@gentoo.org> 

	* BooShell/BooShell.boo: Actually handle exceptions thrown during
	excecution of user input, and toss back a sanitized string of the
	exception.

2005-10-30  Peter Johanson  <latexer@gentoo.org> 

	* FormattingStrategy/*:
	* BooBinding.addin.xml:
	* Makefile.am: Initial smart formatting support. Still *very* basic.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* BooBinding.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.

2005-10-06  Lluis Sanchez Gual  <lluis@novell.com> 

	* BooBinding.addin.xml:
	* BooLanguageBinding.cs: Register serializable types in the addin
	configuration file.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* BooBinding.addin.xml: Added addin dependencies.

2005-09-23  Peter Johanson  <latexer@gentoo.org> 

	* Gui/BooShellModel.boo: Wrap all access to remote process object in
	try/except to handle nasty remoting exception. Not really a fix.

2005-08-29  Peter Johanson  <latexer@gentoo.org> 

	* Parser/Visitor.boo: Fix line number off-by-one error.

2005-08-23  Peter Johanson  <latexer@gentoo.org> 

	* BooBindingCompilerServices.boo: Add support for compiling in
	embedded resources from projects.

2005-08-21  Peter Johanson  <latexer@gentoo.org> 

	* tempaltes/*: Fix icon references to use new resource naming
	convention.

2005-08-21  Peter Johanson  <latexer@gentoo.org> 

	* Makefile.am: Use new -embedres option in boo.
	* BooShell/BooShell.boo: Fix foreach over a CollectionBase.
	* Gui/OptionPanels/CodeCompilationPanel.boo: Fix required for boo's
	new method invocation changes.

2005-08-20  Peter Johanson  <latexer@gentoo.org> 

	* templates/BooGtkSharpProject.xpt.xml: Fix gtk-sharp references to
	match new assembly versions.

2005-08-12  Lluis Sanchez Gual  <lluis@novell.com> 

	* templates/*:
	* BooBinding.addin.xml: Properly reference resource icons and
	templates.
	* Makefile.am: Embed icon and templates as resources.

2005-08-15  Peter Johanson  <latexer@gentoo.org>

	* Gui/ShellTextvView: Fix file sharing violation that killed multiple
	MD instances when the boo shell was enabled.

2005-08-10  Peter Johanson  <latexer@gentoo.org>

	* Gui/ShellTextView.boo: Fix small problem with
	blank lines being accept, and causing errors in the interpreter.

2005-08-10  Peter Johanson  <latexer@gentoo.org>

	* Parser/ExpressionTypeVisitor.boo:
	* Parser/Resolver.boo:
	* Parser/ReturnType.boo:
	* Parser/ExpressionFinder.boo:
	* Parser/BooParser.boo:
	* Parser/VariableLookupVisitor.boo:
	* Parser/Visitor.boo: Add better error reporting via logging by type.

2005-08-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/ReturnType.boo:
	* Parser/ExpressionTypeVisitor.boo:
	* Parser/Resolver.boo:
	* Parser/BooParser.boo:
	* Gui/ShellTextView.boo: Use the new IParserContext API.

2005-07-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/OptionPanels/GeneralShellPanel.boo:
	* Gui/OptionPanels/GeneralBooShellPanel.boo:
	* Gui/OptionPanels/CodeCompilationPanel.boo:
	Removed unused namespace import.

2005-07-20  Peter Johanson  <latexer@gentoo.org>

	* Gui/IShellModel.boo:
	* Gui/ShellTextView.boo:
	* Gui/BooShellModel.boo:
	* Gui/OptionPanels/CodeCompilationPanel.boo:
	* Properties/ShellProperties.boo:
	* Parser/Resolver.boo:
	* Parser/BooParser.boo:
	* BooShellPadContent.boo:
	* BooShell/BooShell.boo: Lots of cleanup, and add initial support for
	code completion in the shell.
	* Makefile.am: Revert makefile change that snuck in.

2005-07-19  Peter Johanson  <latexer@gentoo.org>

	* templates/BooGtkSharpWindow.xft.xml: Fix small typo.

2005-07-19  Peter Johanson  <latexer@gentoo.org>

	* BooAmbience: Changes to consolidate code, and actually markup the
	items if IncludePangoMarkup is set.

2005-07-18  Peter Johanson  <latexer@gentoo.org>

	* BooBinding.addin.xml: Put the boo shell on the bottom by default.

2005-07-18  Peter Johanson  <latexer@gentoo.org>

	* Parser/Resolver.boo:
	* BooLanguageBinding.boo: Remove some extraneous ';' characters, and
	use the new 'char()' literal instead of the previous hack for getting
	a char.

2005-07-13  Lluis Sanchez Gual  <lluis@novell.com>

	* BooShellPadContent.boo: Make sure all shell controls are visible.

2005-07-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/BooCompilerParameters.boo: Implement ICloneable.
	* BooLanguageBinding.boo: CreateCompilationParameters now returns an
	ICloneable.

2005-06-04  Peter Johanson <latexer@gentoo.org>

	* Gui/OptionPanels/CodeCompilationPanel.boo:
	* Project/BooCompilerParameters.boo: Remove compiler selection items,
	as they are unneeded now that we use Boo's API for compilation

2005-06-02  Peter Johanson <latexer@gentoo.org>

	* Parser/BooParser.boo: Re-apply change to include
	ProcessMethodBodies step in the visitor. Problems this change caused
	have been resolved elsewhere.
	* Parser/Visitor.boo: Use the region of the property if the region for
	the getter/setter is null (happens with [Getter()], etc AST
	attributes).

2005-05-31  Peter Johanson <latexer@gentoo.org>

	* BooBindingCompilerServices.boo: Make sure we
	only generate the assembly in the file, not
	loaded into memory.

2005-05-30  Peter Johanson <latexer@gentoo.org>

	* Parser/TypeMembers.boo: Cleanup, and add handling
	of get/set for properties properly.
	* Parser/Visitor.boo: Handling of get/set for properties,
	move to using FullName where appropriate for class members,
	and set enum return types to null.

2005-05-30  Peter Johanson <latexer@gentoo.org>

	* Parser/Visitor.boo: Only abort parsing on parser
	errors. We may have type binding errors that should be
	ignored, since we do the resolving of those ourselves.
	* Parser/TypeMembers.boo: Constructors should have a fully
	qualified name of 'ctor', not '#ctor'.
	* Parser/Resolver.boo: Fix problem with 'super' not always
	finding the super class.
	
2005-05-29  Peter Johanson <latexer@gentoo.org>

	* BooBindingCompilerServices.boo: Redo most of the
	compiler stuff to use the Boo API instead of calling
	out to booc in a seperate process. Is faster, and removes
	the gross regexes previously used to parse errors.

2005-05-27  Peter Johanson <latexer@gentoo.org>

	* Parser/*: Various cleanups of print statements,
	as well as various fixes to improve resolution of
	fields and local variables.

2005-05-24  Peter Johanson <latexer@gentoo.org>

	* Parser/BooParser.boo: One small fix to return
	a new CompilationUnit instead of null in case
	of a failed parse attempt.

2005-05-24  Peter Johanson <latexer@gentoo.org>

	* Parser/Visitor.boo: Cull out compiler
	generated fields, and note if errors occured
	before this visitor and return immediate if so.
	* Parser/BooParser.boo: Keep a cache of successful
	parser results, and return those for any files that
	error out due to syntax errors, etc.

2005-05-22  Peter Johanson <latexer@gentoo.org>

	* Parser/Resolver.boo: More cleanups,
	and make static/non-static member showing work
	properly.

2005-05-22  Peter Johanson <latexer@gentoo.org>

	* Parser/BooParser.boo:
	* Parser/Resolver.boo: Various small cleanups
	* Parser/Visitor.boo: Some small cleanups, and parse
	events now as well.

2005-05-21  Peter Johanson <latexer@gentoo.org>

	* BooShellPadContent.cs: Make the pad placement
	easier to find when first viewing the shell.

2005-05-21  Peter Johanson <latexer@gentoo.org>

	* Parser/BooParser.boo: Move filename assignment to
	after parsing is complete. Makes the class browser (mostly)
	work now.

2005-05-19  Peter Johanson <latexer@gentoo.org>

	* BooBinding.mp{p,s}:
	* BooShell/BooShell.mp{p,s}:
	Add project files for compiling the BooBinding using MD.

2005-05-10  Peter Johanson <latexer@gentoo.org>

	* Gui/ShellTextView.boo: Use a normal StreamWriter
	instead of the Boo.IO stuff, since Boo.IO has moved
	in current Boo SVN to Boo.Lang.IO

2005-05-04  Peter Johanson <latexer@gentoo.org>

	* BooShell/BooShell.boo: Make sure we 
	dispose of the worker thread.

2005-05-04  Peter Johanson <latexer@gentoo.org>

	* Gui/BooShellModel.boo: Don't join the aborted
	thread. This isn't needed, and hangs mono-1.1.7 and
	newer.

2005-05-03  Peter Johanson <latexer@gentoo.org>

	* BooShell/BooShell.boo: Make sure we don't get
	disposed prematurely.

2005-05-02  Peter Johanson <latexer@gentoo.org>

	* Remoting/*:
	* Gui/BooShellModel.boo:
	* BooShell/BooShell.boo:
	* Makefile.am: Switch over to using the new
	RemoteProcessObject API. Removes the need for
	all of BooShell.Remoting, and simplifies things
	elsewhere.

2005-05-02  Peter Johanson <latexer@gentoo.org>

	* Gui/BooShellModel.boo: Fix from lluis to make
	MD not crash when right clicking the shell with
	no projects open.

2005-05-02  Peter Johanson <latexer@gentoo.org>
	
	* BooShell/BooShell.boo: Convert to using Monitor instead
	of just lock(), prevents the 100% utilization by mono
	as reported by several folks.
	* Gui/BooShellModel.boo: Some Monitor fixes, and a small
	fix to make pasted input with multiple lines get processed
	properly.

2005-04-28  Rafael Monoman Teixeira <rafaelteixeirabr@hotmail.com>

	* Makefile.am: added missing dependency for target $(ASSEMBLY)

2005-04-25  Peter Johanson <latexer@gentoo.org>

	* BooShellServer/BooShellServer.boo:
	Small fix to make sure the shell server
	doesn't exit unexpectedly.

2005-04-25  Peter Johanson <latexer@gentoo.org>

	* Properties/GeneralShellProperties.boo:
	* Gui/*: Lots of changes to handle new shell
	handling, as well as adding the ability to
	load the assemblies generated by the currently
	open solution/combine.
	* Remoting/*: Library for doing remoting
	using unix sockets
	* BooShell/BooShell.boo: New shell object
	created out of process from MD for projection
	* BooShellServer/BooShellServer.boo: Remoting
	server for serving up the BooShell objects

2005-04-25  Peter Johanson <latexer@gentoo.org>

	* Initial import of the Boo addin.

